Download it now!
Bug 108054 - [HELPAUTHORING] implement <sup> and <sub> tags in HelpAuthoring extension
Summary: [HELPAUTHORING] implement <sup> and <sub> tags in HelpAuthoring extension
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: beimaginativeegroup
URL:
Whiteboard: target:5.5.0
Keywords:
Depends on:
Blocks: HelpAuthoring-Extension
  Show dependency treegraph
 
Reported: 2017-05-24 11:34 UTC by Olivier Hallot
Modified: 2017-06-02 15:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2017-05-24 11:34:36 UTC
Subscripts and superscripts aren't allowed in help file except if the character already exist in the font.

This bug ask to implement <sup> and <sub> tags in Help pages XML and DTD, as well as the corresponding Help Authoring extension to allow subscript and superscripts.

Important when, e.g., numbers are expressed in scientific and engineering notation.
Comment 1 Olivier Hallot 2017-05-24 12:26:18 UTC
Correction:
The issue is in Help Authoring extension, that has no support for them.

<sub> and <sup> are defined in DTD.

but not documented in original PDF document and its online version
(https://wiki.documentfoundation.org/HelpContentAuthoring/3)

Providing documentation.
Comment 2 beimaginativeegroup 2017-05-24 17:35:03 UTC
Taking a look at the extension code and taking reference from commit 5f231ff8263565988470f7fbedb90ff3a4883174 and after seeing commit 33c72614de2a9d3add66a9fce81233f66fb55e6d, I'm assuming edits are needed to both soofice2xmlhelp.xsl and xmlhelp2soffice.xsl. Am I right in thinking this?
Comment 3 Olivier Hallot 2017-05-24 18:13:40 UTC
Yes, as well as I think it will be necessary to define 2 more character styles in the template:

help_sup
help_sub
Comment 4 beimaginativeegroup 2017-05-25 15:35:34 UTC
If it isn't a problem, I'd like to take a look at this.
Comment 5 Olivier Hallot 2017-05-25 16:50:42 UTC
(In reply to beimaginativeegroup from comment #4)
> If it isn't a problem, I'd like to take a look at this.

No problem, please set the Assignee to you.
Comment 6 beimaginativeegroup 2017-05-30 13:07:20 UTC
I have uploaded a Gerrit request that can be found at https://gerrit.libreoffice.org/#/c/38218/ that should fix this bug. Please let me know if I should change anything.
Comment 7 Commit Notification 2017-06-02 14:10:25 UTC
liongold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/contrib/dev-tools/commit/?id=cbc76cb097e3b3e2fb3912153171c1dd1e799955

tdf#108054 - Implementing <sup> and <sub> in the HelpAuthoring extension
Comment 8 beimaginativeegroup 2017-06-02 14:18:06 UTC
Will the new extension builds be generated automatically? Or is anything else needed from my end?
Comment 9 Olivier Hallot 2017-06-02 14:52:19 UTC
(In reply to beimaginativeegroup from comment #8)
> Will the new extension builds be generated automatically? Or is anything
> else needed from my end?

The extension is rebuild when you run make in dev-tools/helpauthoring/ and the result is available in dist/ 

Open a redmine ticket, attach the extension, and ask to upload to 

http://dev-www.libreoffice.org/helpauthoring/

Thanks for the fix!!!!.
Comment 10 Olivier Hallot 2017-06-02 15:20:04 UTC
(In reply to Olivier Hallot from comment #9)
> (In reply to beimaginativeegroup from comment #8)
> > Will the new extension builds be generated automatically? Or is anything
> > else needed from my end?
> 
> The extension is rebuild when you run make in dev-tools/helpauthoring/ and
> the result is available in dist/ 
> 
> Open a redmine ticket, attach the extension, and ask to upload to 
> 
> http://dev-www.libreoffice.org/helpauthoring/
> 
> Thanks for the fix!!!!.

File uploaded. No need to open a redmine ticket.